diff .chezmoiscripts/run_onchange_after_41-install-language-servers.sh.tmpl @ 810:6499aba0eaf3

feat: setup helix and languageservers
author zegervdv <zegervdv@me.com>
date Tue, 05 Dec 2023 21:00:59 +0100
parents
children 03e120882791
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/.chezmoiscripts/run_onchange_after_41-install-language-servers.sh.tmpl	Tue Dec 05 21:00:59 2023 +0100
@@ -0,0 +1,19 @@
+{{ if (or (eq .chezmoi.os "darwin") (and (eq .chezmoi.os "linux") (eq .chezmoi.osRelease.name "Ubuntu"))) -}}
+{{ $taplo_version := "0.8.1" -}}
+{{ $ruff_version := "0.1.7" -}}
+{{ $pyright_version := "1.1.338" -}}
+#!/usr/bin/env zsh
+
+set -xe
+
+eval "$($HOME/bin/rtx activate bash)"
+eval "$($HOME/bin/rtx hook-env)"
+
+curl -fsSL https://github.com/tamasfe/taplo/releases/download/{{ $taplo_version }}/taplo-full-linux-x86_64.gz | gzip -d - | sudo install -m 755 /dev/stdin /usr/local/bin/taplo
+
+pipx install "ruff=={{ $ruff_version }}"
+pipx install "pyright=={{ $pyright_version }}"
+
+npm install -g "@ansible/ansible-language-server"
+
+{{ end }}